All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ReproduceDistancesObjective Struct Reference
Inheritance diagram for faiss::ReproduceDistancesObjective:

## Public Member Functions

double | dis_weight (double x) const
double | get_source_dis (int i, int j) const
virtual double | compute_cost (const int *perm) const override
virtual double | cost_update (const int *perm, int iw, int jw) const override
| ReproduceDistancesObjective (int n, const double *source_dis_in, const double *target_dis_in, double dis_weight_factor)
void | set_affine_target_dis (const double *source_dis_in)

## Static Public Member Functions

static double | sqr (double x)
static void | compute_mean_stdev (const double *tab, size_t n2, double *mean_out, double *stddev_out)

## Public Attributes

double | dis_weight_factor
std::vector< double > | source_dis
| "real" corrected distances (size n^2)
const double * | target_dis
| wanted distances (size n^2)
std::vector< double > | weights
| weights for each distance (size n^2)
Public Attributes inherited from faiss::PermutationObjective
int | n

## Detailed Description

Definition at line 59 of file PolysemousTraining.h.

The documentation for this struct was generated from the following files:

- PolysemousTraining.h
- PolysemousTraining.cpp